curl --request POST \
--url https://app.standardmetrics.io/beta/investment/securities/get/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_ids": [
"pvYe",
"a2Ne"
],
"security_ids": [
"pvYe",
"a2Ne"
],
"fund_id": "pvYe"
}
'import requests
url = "https://app.standardmetrics.io/beta/investment/securities/get/"
payload = {
"company_ids": ["pvYe", "a2Ne"],
"security_ids": ["pvYe", "a2Ne"],
"fund_id": "pvYe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company_ids: ['pvYe', 'a2Ne'], security_ids: ['pvYe', 'a2Ne'], fund_id: 'pvYe'})
};
fetch('https://app.standardmetrics.io/beta/investment/securities/get/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"issue_date": "2020-01-01",
"fund_id": "a2Ne",
"company_id": "pvYe",
"fund_name": "Fund I",
"company_name": "Acme Corp",
"investment_amount": {
"currency": "USD",
"value": "1000000"
},
"shares": "50000",
"share_class_id": "a2Ne",
"financing_id": "a2Ne",
"share_class_name": "Series A",
"id": "a2Ne",
"type": "certificate"
}
]Get securities
Retrieve securities for a firm or a specific company. If no filters are provided, the endpoint returns all securities across the firm. If company IDs or holding IDs are provided, it returns securities specific to those companies or holdings.
Permissions:
- User must be authenticated via OAuth.
- User must have access to the companies.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
OK
- CertificateOut
- WarrantOut
- PublicEquityOut
- TokenInvestmentOut
- TokenWarrantOut
- TokenConvertibleOut
- ConvertibleOut
A certificate being returned from our API.
The date the security was issued.
"2020-01-01"
The ID of the fund that holds this security.
"a2Ne"
The ID of the company this security belongs to.
"pvYe"
The name of the fund that holds this security.
"Fund I"
The name of the company this security belongs to.
"Acme Corp"
The total investment amount for this certificate.
Show child attributes
Show child attributes
{ "currency": "USD", "value": "1000000" }
The number of shares held.
"50000"
The ID of the share class for this certificate.
"a2Ne"
The ID of the financing round this certificate belongs to.
"a2Ne"
The name of the share class for this certificate.
"Series A"
The ID of the security.
"a2Ne"
"certificate"